import request from '@/utils/request'

// 公司管理 ---- 公司业绩管理

// 公司业绩列表
export function getCompanyPerformanceListAPI(data) {
    return request({
        url: '/tbCompanyPerf/getTbCompanyPerfList',
        method: 'get',
        params: data,
    })
}
// 公司业绩列表 根据人员id查询
export function getCompanyPerformanceListByPersonIdAPI(data) {
    return request({
        url: '/tbCompanyPerf/getTbCompanyPerfListByPersonId',
        method: 'get',
        params: data,
    })
}

// 新增公司业绩
export function addCompanyPerformanceAPI(data) {
    return request({
        url: '/tbCompanyPerf/addTbCompanyPerf',
        method: 'post',
        data: data,
    })
}

// 编辑公司业绩
export function editCompanyPerformanceAPI(data) {
    return request({
        url: '/tbCompanyPerf/updateTbCompanyPerf',
        method: 'post',
        data: data,
    })
}

// 删除公司业绩
export function deleteCompanyPerformanceAPI(data) {
    return request({
        url: '/tbCompanyPerf/delTbCompanyPerf',
        method: 'post',
        data: data,
    })
}
